Description

History

#1 - 09/05/2018 12:28 PM - Eric Faulhaber

Customers have expressed interest in knowing the following about their applications:

® 3 list of queries which don't have a matching index (default to the primary index);
¢ a list of defined indices which are never used,;
¢ a list of database fields which are never referenced by application code.

In each case, we can only determine the use of these resources in static application code. Dynamic references defined at runtime (i.e., in dynamic
buffers and queries) cannot be determined during conversion. Likewise, dynamically defined tables are out of scope for this task.

Ultimately, we want to add these reports to the source code analytics tool; however, currently, the information is only determined in steps of the
conversion which are executed after the analytics tool generates its reports. The goal is to push these phases up in part, to allow this information to
be collected early enough in the process to be included as analytics reports. However, for now, the reports will be simple text files generated during
conversion.

#2 - 09/11/2018 03:23 AM - Eric Faulhaber

- % Done changed from 0 to 100

- Status changed from WIP to Test

- File unreferenced_database _fields.txt added
- File unindexed_queries.txt added

- File unused_database_indices.txt added

Implemented support for all 3 reports in 3601a/11318. Example output for Hotel GUI project is attached.

#3 - 09/11/2018 12:48 PM - Eric Faulhaber

Regression testing revealed some flaws. These are fixed in rev 11320. Continuing testing...

Files

unreferenced_database_fields.txt 3.16 KB 09/11/2018 Eric Faulhaber
unindexed_queries.txt 23.8 KB 09/11/2018 Eric Faulhaber
unused_database_indices.txt 801 Bytes 09/11/2018 Eric Faulhaber
